%figureAsVsLambda
%{

%}
global ASN FLG NUM FRA FRP MAS MAG;

%%%%%%%%%%Begin: Parameters to be changed here%%%%%%%%%%%%%%%%%%%%%%%
fChooseAtom('Li7');
freqAvg = 700; 
asnRangeSize = 100; %100
asnStart = .7;
asnEnd = -1.5;
trapAspectRange = logSpace(-2,3,50); %50
numRange = logspace(3,7,20); %20
%%%%%%%%%%End: Parameters to be changed%%%%%%%%%%%%%%%%%%%%%%%

FRA=700; %doesn't matter. Is reset.
FRP=700; %doesn't matter. Is reset.
ASN=20; %doesn't matter. Is reset.
NUM=100000; %doesn't matter. Is reset.
guessSize = [10.1,0.9];

asnRange = linSpace(asnStart,asnEnd,asnRangeSize);


lambdaRangeSize=length(trapAspectRange);
maxTrapAspect= trapAspectRange(lambdaRangeSize);
minTrapAspect= trapAspectRange(1);

trapAxial=[]; %trap axial frequecny (e.g. FRA)
trapRadial=[]; %trap radial frequecny (e.g. FRP)
trapAspect=[]; %trap aspect ratio (e.g. FRA/FRP)

%First, set range of aspect ratios
trapRadMin= freqAvg./(maxTrapAspect.^(1/3));
trapRadMax=freqAvg./(minTrapAspect.^(1/3));

logRadMin = log10(trapRadMin);
logRadMax = log10(trapRadMax);
trapRadial=logspace(logRadMin,logRadMax,lambdaRangeSize);
trapAspect=(freqAvg./trapRadial).^3;
trapAxial = trapAspect.*trapRadial;

trapLambda = trapAspect; %hmm, there's probably a better way to do this

becAxialNoDip=[];  %array of axial length (w/o dipole) to the trap 
becRadialNoDip=[]; %array of radial length (w/o dipole) to the trap
becAspectNoDip=[]; %array of aspect ratio (w/o dipole) to the trap


num_Asp=NaN(asnRangeSize,lambdaRangeSize,(length(numRange)));
num_aCritical=NaN(lambdaRangeSize,(length(numRange)));
for inum = 1:(length(numRange))
    Asp =NaN(asnRangeSize,lambdaRangeSize);
    NUM = numRange(inum);

    for ixx=1:lambdaRangeSize
        FRP=trapRadial(ixx);
        FRA=trapAxial(ixx);
        becAxial=NaN(asnRangeSize,1); %array of axial length (w/ dipole) to the trap
        becRadial=NaN(asnRangeSize,1); %array of radial length (w/ dipole) to the trap 
        guessSize = [trapLambda(ixx)*1.1249, 1.5478/trapLambda(ixx)]; %misc numbers to give int long output
        for ix=1:asnRangeSize
            ASN = asnRange(ix);
            [x, fval]=fsolve(@feqntrap,guessSize,optimset('Display','none'));
            becAxial(ix)=x(2);
            becRadial(ix)=x(1);
        end
        Asp(:,ixx)= transpose(becRadial./becAxial);

    end


    %%%%%%%%%%Find min of variational
    zData=real(log10(Asp));
    zDataRow = length(zData(:,1));
    zDataCol = length(zData(1,:));
    aSvalue = asnRange;

    zCol = NaN(1,zDataRow);
    aCritical = NaN(1,zDataCol);

    for ix = 1:zDataCol

        zCol = zData(:,ix);
        for ixx = 3:(zDataRow-2)
            if (zCol(ixx)<zCol(ixx+1)) &&(zCol(ixx)<zCol(ixx+1))&& (zCol(ixx)>zCol(ixx-1))&& (zCol(ixx)>zCol(ixx-1))&& (isnan(aCritical(ix)))
                aCritical(ix) = aSvalue(ixx);
            end
        end
    end

num_aCritical(:,inum)=aCritical;
num_Asp(:,:,inum) = Asp;

end

figure(3)
hold on;
for inum = 1:(length(numRange))
    plot(trapLambda,num_aCritical(:,inum))
end
ylabel('a_s');
xlabel('\lambda');
set(gcf, 'renderer', 'painters');
set(gcf, 'color', 'white'); % sets the color to white 
set(gca,'XScale','log');
hold off;

% figure(4)
% hold on;
% for inum = 1:4%(length(numRange))
%     plot(trapLambda,num_aCritical(:,inum),'Color','[0 0 (inum/4)]')
% end
% ylabel('a_s');
% xlabel('\lambda');
% set(gcf, 'renderer', 'painters');
% set(gcf, 'color', 'white'); % sets the color to white 
% set(gca,'XScale','log');
% hold off;

figure(10)
hold on;
%logLambda = log10(trapLambda);
%logNum = log10(numRange);
surf(numRange,trapLambda, num_aCritical)
xlabel('Number Atoms');
ylabel('\lambda');
zlabel('a_critical');
 set(gca,'XScale','log');
 set(gca,'YScale','log');
 set(gcf, 'color', 'white'); % sets the color to white 
colormap(autumn);
hold off;
% figure(6);
% hold on;
% % Supply or load arrays for x, y, and z values from you contourf input
% [C,g,CF] = contourf(trapLambda,asnRange,Asp,200); % Create standard contour plot first
% %x2 = log10(trapLambda); % Take log10() of data
% colormap(bone)
% z2=real(log10(Asp));
% cla % Clear contour plot
% contourf(trapLambda,asnRange,z2,200, 'EdgeColor','none'); % Plot log10 data, keeping the logarithmic
% % colorbar for the original data
% axis tight % Fill entire axes with contour plot
% ylabel('a_s');
% xlabel('\lambda');
% set(gcf, 'renderer', 'painters');
% set(gcf, 'color', 'white'); % sets the color to white 
% set(gca,'XScale','log');
% h1=plot(trapLambda,aCritical,'w-');
% set(h1,'LineWidth',2);
% hold off;


