function [Asp,becRadial,becAxial,Asp0,becRadialNoDip,becAxialNoDip,trapLambda] = faspectTrapOnBEC(trapAspectRange, freqAvg, guessSize)

%{


INPUTS

OUTPUTS
Asp = Aspect ratio (for each trapAspectRange) calculated with MDDI effects
Asp0 = Aspect ratio (for each trapAspectRange) calculated without MDDI effects
becRadial
becAxial
becRadialNoDip
becAxialNoDip
trapLambda
%}
global ASN FLG NUM FRA FRP MAS MAG;
initialFRP = FRP;
initialFRA = FRA;
numOfSteps=length(trapAspectRange);
maxTrapAspect= trapAspectRange(numOfSteps);
minTrapAspect= trapAspectRange(1);

trapAxial=[]; %trap axial frequecny (e.g. FRA)
trapRadial=[]; %trap radial frequecny (e.g. FRP)
trapAspect=[]; %trap aspect ratio (e.g. FRA/FRP)

%First, set range of aspect ratios
trapRadMin= freqAvg./(maxTrapAspect.^(1/3));
trapRadMax=freqAvg./(minTrapAspect.^(1/3));

logRadMin = log10(trapRadMin);
logRadMax = log10(trapRadMax);
trapRadial=logspace(logRadMin,logRadMax,numOfSteps);
trapAspect=(freqAvg./trapRadial).^3;
trapAxial = trapAspect.*trapRadial;

trapLambda = trapAspect; %hmm, there's probably a better way to do this function


becAxial=[]; %array of axial length (w/ dipole) to the trap 
becRadial=[]; %array of radial length (w/ dipole) to the trap 
becAspect=[]; %array of aspect ratio (w/ dipole) to the trap 

becAxialNoDip=[];  %array of axial length (w/o dipole) to the trap 
becRadialNoDip=[]; %array of radial length (w/o dipole) to the trap
becAspectNoDip=[]; %array of aspect ratio (w/o dipole) to the trap

FLG=0;

numOfSteps=numOfSteps;
for ix=1:1:numOfSteps
    FRP=trapRadial(ix);
    FRA=trapAxial(ix);
    [x, fval]=fsolve(@feqntrap,[guessSize],optimset('Display','off'));
    becAxialNoDip=[becAxialNoDip;x(2)];
    becRadialNoDip=[becRadialNoDip;x(1)];
end
Asp0=becRadialNoDip./becAxialNoDip;

FLG=1;

for ix=1:1:numOfSteps
    FRP=trapRadial(ix);
    FRA=trapAxial(ix);
    [x, fval]=fsolve(@feqntrap,[guessSize],optimset('Display','off'));
    becAxial=[becAxial;x(2)];
    becRadial=[becRadial;x(1)];
end
Asp=becRadial./becAxial;

FRP = initialFRP;
FRA = initialFRA;
