%makes 4 part fig for paper. UL TOF. UR TOF collapse. LR in trap collapse.

global ASN FLG NUM FRA FRP MAS MAG;
fChooseAtom('Li7')
NUM=5e6;
FRA=200;
FRP=2000;
FLG=1;

endtime = 5; %in ms
guessSize = [10.1,0.9];

%UPPER LEFT DATA
%Stability Diagram
% stabilityX = logspace(-2,3,50);
% stabilityY = sin(stabilityX);
% legendnum1 = 10;
% legendnum2 = 15;
% legendnum3 = 20;

%UPPER RIGHT DATA
%Aspect Ratio of Condensate vs. of collapse
ASN = 0.001;
trapAspectRange = logspace(-1,2,60);
freqAvg = 700; 
[AspForChangeTrap,nada1,nada2,Asp0ForChangeTrap,nada3,nada4,trapLambdaC] = faspectTrapOnBEC(trapAspectRange, freqAvg, guessSize);



%LOWER LEFT DATA
%free expand
ASN=0.01;
asnForEquilibStart = 0.1;
[Asp,tWithMDDI,Asp0,tNoMDDI] = fexpand(endtime, guessSize, asnForEquilibStart);
%collapse
ASN=.001; 
asnForEquilibStart = 0.1;
endtime = 5;
[AspCollapse,tWithMDDICollapse,Asp0Collapse,tNoMDDICollapse] = fexpand(endtime, guessSize, asnForEquilibStart);


%LOWER RIGHT DATA
%Stable in trap evolution.
ASN =0.01;
endtime = 5;
asnForEquilibStart = 0.01;
changeRadialAxial=[1,1];%[.49,1.5];
[AspEvolve,tWithMDDIEvolve,Asp0Evolve,tNoMDDIEvolve] = fintrapevolve(endtime, guessSize, asnForEquilibStart,changeRadialAxial);
%MDDI induced collapse in trap
ASN =.001;
endtime = 5;
asnForEquilibStart = 0.1;
changeRadialAxial=[1,1];%[.49,1.5];
[AspCEvolve,tCWithMDDIEvolve,AspC0Evolve,tCNoMDDIEvolve] = fintrapevolve(endtime, guessSize, asnForEquilibStart,changeRadialAxial);



%Start of Figure: 4 Parts
figure(20);
%hold on;
axbkgd=axes('Position',[0 0 1 1],'Visible', 'off');
axis([0 1 0 1]);
%formatting figure
set(gcf, 'renderer', 'painters');
set(gcf, 'color', 'white'); % sets the color to white 

set(gcf, 'PaperUnits', 'inches');
xSize = 5; %inches wide for total page
ySize = 5; %inches high for total page
axisLeft = .12;
axisRight = .60;
axisTop = .60;
axisBottom = .10;
axisXSize = .37;
axisYSize = .37;
axisInsetSize = .14;
InsetLeft = .30;
InsetBottom = .12;
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperSize', [xSize ySize]);
set(gcf, 'PaperPosition', [0 0 xSize ySize]);
fntSize = 12;
lblSize = 10;

%%%%FIGURE UPPER LEFT
ax1=axes('position',[axisLeft,axisTop,axisXSize,axisYSize]);
set(ax1,'FontSize',fntSize);
set(ax1,'XScale','log');
ylim([-.1 .1]);
xlim([0.1 100]);
set(gca,'XTick',[.1 1 10 100]);
xlabel('\lambda');
ylabel('a_s');
text(.2,.09, '(a)','FontSize',fntSize, 'FontWeight','bold');

l0=legend('N=4.5x10^5','N=1x10^6','N=5x10^6');
set(l0, 'Box', 'off')
set(l0, 'Color', 'none')
set(l0,'FontSize',lblSize);
set(ax1,'FontSize',fntSize);
set(l0,'FontSize',lblSize);

box on;

%%%%FIGURE UPPER RIGHT
ax2=axes('position',[axisRight,axisTop,axisXSize,axisYSize]);
plot(trapLambdaC, AspForChangeTrap, 'k-', trapLambdaC,Asp0ForChangeTrap,'k--');
set(ax2,'FontSize',fntSize);
set(ax2,'XScale','log');
set(ax2,'YScale','log');
%title('Trap Aspect Effect');
xlim([0.1 100]);
set(gca,'XTick',[.1 1 10 100]);
xlabel('\lambda');
ylabel('\kappa');
text(.2,50, '(b)','FontSize',fntSize, 'FontWeight','bold');
%text(5,.05, 'a_s= 0.01 a_0','FontSize',lblSize);
text(.44,.25,'Collapse')
set(ax2,'FontSize',fntSize);
box on;

%%%%FIGURE LOWER LEFT
ax3=axes('position',[axisLeft,axisBottom,axisXSize,axisYSize]);
set(ax3,'FontSize',fntSize);
%plot(tWithMDDI, Asp, 'k-', tNoMDDI,Asp0,'k-.',tWithMDDICollapse, AspCollapse,tWithMDDICollapse, AspCollapse, 'b-', tNoMDDICollapse,Asp0Collapse,'b-.');
plot(tWithMDDICollapse, AspCollapse, 'k-', tNoMDDICollapse,Asp0Collapse,'k--');
%title('Free Expansion Collapse');
xlabel('t_{tof} (ms)');
ylabel('\kappa');
%annotation('arrow','Position',[InsetLeft,InsetBottom,-InsetLeft+axisLeft,-InsetBottom+axisBottom]); %points for the inset.
xlim([0 5]);
text(.5,3.75, '(c)','FontSize',fntSize,'FontWeight','bold');
box on;
set(ax3,'FontSize',fntSize);
leg1=legend('With Dipole', 'No Dipole','Location','SouthEast');
set(leg1, 'Box', 'off')
set(leg1, 'Color', 'none')
set(leg1,'FontSize',lblSize);
set(leg1,'FontSize',lblSize);
text(.18,.073, 'Collapse','FontSize',lblSize);

%%%%FIGURE LOWER RIGHT
ax4=axes('position',[axisRight,axisBottom,axisXSize,axisYSize]);
set(ax4,'FontSize',fntSize);
plot(tCWithMDDIEvolve,AspCEvolve,'k-',tCNoMDDIEvolve,AspC0Evolve,'k--');
%title('In-Trap Collapse');
xlabel('t_{in-trap} (ms)');
ylabel('\kappa');
xlim([0 4]);
%text(.025,.18, 'a_s= 0.01 a_0 at t=0','FontSize',lblSize);
text(.2,0.18, '(d)','FontSize',fntSize, 'FontWeight','bold');

set(ax4,'FontSize',fntSize);
box on;





print(gcf, '-dpdf', 'exampleFig.pdf');
%hold off;