%figureAsVsLambda
%{

%}
global ASN FLG NUM FRA FRP MAS MAG NOTTHOMASFERMI;

fChooseAtom('Cr52');
FRA=700;
FRP=700;
ASN=20;
NUM=20000;
freqAvg = 700; 

guessSize = [10.1,0.9];

asnRangeSize = 50;
asnStart = 18;
asnEnd = -32;
asnRange = linspace(asnStart,asnEnd,asnRangeSize);

trapAspectRange = logspace(-2,3,30);
lambdaRangeSize=length(trapAspectRange);
maxTrapAspect= trapAspectRange(lambdaRangeSize);
minTrapAspect= trapAspectRange(1);

trapAxial=[]; %trap axial frequecny (e.g. FRA)
trapRadial=[]; %trap radial frequecny (e.g. FRP)
trapAspect=[]; %trap aspect ratio (e.g. FRA/FRP)

%First, set range of aspect ratios
trapRadMin= freqAvg./(maxTrapAspect.^(1/3));
trapRadMax=freqAvg./(minTrapAspect.^(1/3));

logRadMin = log10(trapRadMin);
logRadMax = log10(trapRadMax);
trapRadial=logspace(logRadMin,logRadMax,lambdaRangeSize);
trapAspect=(freqAvg./trapRadial).^3;
trapAxial = trapAspect.*trapRadial;

trapLambda = trapAspect; %hmm, there's probably a better way to do this

becAxialNoDip=[];  %array of axial length (w/o dipole) to the trap 
becRadialNoDip=[]; %array of radial length (w/o dipole) to the trap
becAspectNoDip=[]; %array of aspect ratio (w/o dipole) to the trap
Asp =[];
NOTTHOMASFERMI=true;
FLG=1;
for ixx=1:lambdaRangeSize
    if trapAspect(ixx)<1
        guessSize=[0.9,1.1];
    else
        guessSize = [10.1,0.9];
    end
    FRP=trapRadial(ixx);
    FRA=trapAxial(ixx);
    becAxial=[]; %array of axial length (w/ dipole) to the trap
    becRadial=[]; %array of radial length (w/ dipole) to the trap 
    becAspect=[]; %array of aspect ratio (w/ dipole) to the trap 
    for ix=1:asnRangeSize
        ASN = asnRange(ix);
        [x, fval]=fsolve(@feqntrap,guessSize,optimset('Display','none'));
        becAxial=[becAxial;x(2)];
        becRadial=[becRadial;x(1)];
    end
    Asp=[Asp, becRadial./becAxial];
    
end


%%%%%%%%%%Find min of variational
zData=real(log10(Asp));
%zData=Asp;
zDataRow = length(zData(:,1));
zDataCol = length(zData(1,:));
aSvalue = asnRange;

zCol = NaN(1,zDataRow);
aCritical = NaN(1,zDataCol);

for ix = 1:zDataCol
    
    zCol = zData(:,ix);
        for ixx = 2:(zDataRow-1)

            if (zCol(ixx)<zCol(ixx+1)) &&(zCol(ixx)<zCol(ixx+1))&& (zCol(ixx)<zCol(ixx-1))&& (zCol(ixx)<zCol(ixx-1))&& (isnan(aCritical(ix)))
                aCritical(ix) = aSvalue(ixx);
            end
        end
end


figure(3)
plot(trapLambda,aCritical, 'k+')
ylabel('a_s (a_0)');
xlabel('\lambda');
set(gcf, 'renderer', 'painters');
set(gcf, 'color', 'white'); % sets the color to white 
set(gca,'XScale','log');
hold off;

figure(6);
hold on;
% Supply or load arrays for x, y, and z values from you contourf input
contourf(trapLambda,asnRange,Asp,200); % Create standard contour plot first
%hold on;
box on;

%x2 = log10(trapLambda); % Take log10() of data
colormap(bone)
cb1 = colorbar; % Add colorbar
set(cb1,'YScale','log'); % Change colorbar scale to log
hold(cb1); % Hold the colorbar
z2=real(log10(Asp));
%set(cF,'Visible','Off');
cla; % Clear contour plot

contourf(trapLambda,asnRange,z2,200, 'EdgeColor','none'); % Plot log10 data, keeping the logarithmic
% colorbar for the original data
axis tight % Fill entire axes with contour plot
ylabel('a_s (a_0)');
xlabel('\lambda');
set(gcf, 'renderer', 'painters');
set(gcf, 'color', 'white'); % sets the color to white 
set(gca,'XScale','log');
plot(trapLambda,aCritical, 'k+')


hold off;


